## gerbera 1.1.0+dfsg

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.2 FATAL_ERROR)

# It is 2017 so lets leverage a modern C++
set(CMAKE_CXX_STANDARD 14)
set(CMAKE_CXX_STANDARD_REQUIRED True)
set(CMAKE_CXX_EXTENSIONS False)

set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${CMAKE_SOURCE_DIR}/cmake")
include(CheckFunctionExists)

set(CMAKE_VERBOSE_MAKEFILE off CACHE BOOL "Show verbose build commands")
set(WITH_MAGIC          1 CACHE BOOL "Use libmagic to identify file mime types")
set(WITH_MYSQL          0 CACHE BOOL "Store media information in MySQL DB")
set(WITH_CURL           1 CACHE BOOL "CURL required for YouTube and/or SopCast")
set(WITH_INOTIFY        1 CACHE BOOL "Enable Inotify file monitoring support")
set(WITH_JS             1 CACHE BOOL "Enable JavaScript for custom import script")
set(WITH_TAGLIB         1 CACHE BOOL "Use TagLib to extract audio file metadata")
set(WITH_AVCODEC        0 CACHE BOOL "Enable ffmpeg/libav")
set(WITH_FFMPEGTHUMBNAILER 0 CACHE BOOL "Enable Thumbnail generation")
set(WITH_EXIF           1 CACHE BOOL "Use libexif to extract image metadata")
set(WITH_EXIV2          0 CACHE BOOL "Use libexiv2 to extract image metadata")
set(WITH_PROTOCOL_EXTENSIONS 1 CACHE BOOL "Add incomplete DLNA protocol extensions to resposnses")
set(WITH_SYSTEMD        1 CACHE BOOL "Install Systemd unit file")
set(WITH_LASTFM         0 CACHE BOOL "Enable LastFM")
set(WITH_DEBUG          1 CACHE BOOL "Enables debug logging")

project("gerbera")
set(gerbera_MAJOR_VERSION     1)
set(gerbera_MINOR_VERSION     1)
set(gerbera_PATCH_VERSION     0)
set(gerbera_RELEASE           "")
set(gerbera_SUFFIX            "")

set(libgerberaFILES
        src/action_request.cc
        src/action_request.h
        src/atrailers_content_handler.cc
        src/atrailers_content_handler.h
        src/atrailers_service.cc
        src/atrailers_service.h
        src/autoscan.cc
        src/autoscan.h
        src/autoscan_inotify.cc
        src/autoscan_inotify.h
        src/buffered_io_handler.cc
        src/buffered_io_handler.h
        src/cached_url.cc
        src/cached_url.h
        src/cds_objects.cc
        src/cds_objects.h
        src/cds_resource.cc
        src/cds_resource.h
        src/cds_resource_manager.cc
        src/cds_resource_manager.h
        src/common.h
        src/config_manager.cc
        src/config_manager.h
        src/config_options.h
        src/content_manager.cc
        src/content_manager.h
        src/contrib/md5.c
        src/contrib/md5.h
        src/curl_io_handler.cc
        src/curl_io_handler.h
        src/destroyer.cc
        src/destroyer.h
        src/dictionary.cc
        src/dictionary.h
        src/exceptions.cc
        src/exceptions.h
        src/executor.h
        src/fd_io_handler.cc
        src/fd_io_handler.h
        src/file_io_handler.cc
        src/file_io_handler.h
        src/file_request_handler.cc
        src/file_request_handler.h
        src/filesystem.cc
        src/filesystem.h
        src/generic_task.cc
        src/generic_task.h
        src/io_handler_buffer_helper.cc
        src/io_handler_buffer_helper.h
        src/io_handler.cc
        src/io_handler_chainer.cc
        src/io_handler_chainer.h
        src/io_handler.h
        src/jpeg_resolution.cc
        src/lastfm_scrobbler.cc
        src/lastfm_scrobbler.h
        src/layout/fallback_layout.cc
        src/layout/fallback_layout.h
        src/layout/js_layout.cc
        src/layout/js_layout.h
        src/layout/layout.h
        src/logger.cc
        src/logger.h
        src/mem_io_handler.cc
        src/mem_io_handler.h
        src/memory.cc
        src/memory.h
        src/metadata/exiv2_handler.cc
        src/metadata/exiv2_handler.h
        src/metadata/ffmpeg_handler.cc
        src/metadata/ffmpeg_handler.h
        src/metadata_handler.cc
        src/metadata_handler.h
        src/metadata/libexif_handler.cc
        src/metadata/libexif_handler.h
        src/metadata/taglib_handler.cc
        src/metadata/taglib_handler.h
        src/metadata/fanart_handler.cc
        src/metadata/fanart_handler.h
        src/mt_inotify.cc
        src/mt_inotify.h
        src/mxml/attribute.cc
        src/mxml/attribute.h
        src/mxml/comment.cc
        src/mxml/comment.h
        src/mxml/context.cc
        src/mxml/context.h
        src/mxml/document.cc
        src/mxml/document.h
        src/mxml/element.cc
        src/mxml/element.h
        src/mxml/mxml.h
        src/mxml/node.cc
        src/mxml/node.h
        src/mxml/parseexception.cc
        src/mxml/parseexception.h
        src/mxml/parser_expat.cc
        src/mxml/parser.h
        src/mxml/xml_text.cc
        src/mxml/xml_text.h
        src/mxml/xml_to_json.cc
        src/mxml/xml_to_json.h
        src/object_dictionary.h
        src/online_service.cc
        src/online_service.h
        src/online_service_helper.cc
        src/online_service_helper.h
        src/play_hook.cc
        src/play_hook.h
        src/process.cc
        src/process_executor.cc
        src/process_executor.h
        src/process.h
        src/process_io_handler.cc
        src/process_io_handler.h
        src/reentrant_array.h
        src/request_handler.cc
        src/request_handler.h
        src/rexp.cc
        src/rexp.h
        src/scripting/import_script.cc
        src/scripting/import_script.h
        src/scripting/js_functions.cc
        src/scripting/js_functions.h
        src/scripting/playlist_parser_script.cc
        src/scripting/playlist_parser_script.h
        src/scripting/runtime.cc
        src/scripting/runtime.h
        src/scripting/script.cc
        src/scripting/script.h
        src/server.cc
        src/serve_request_handler.cc
        src/serve_request_handler.h
        src/server.h
        src/session_manager.cc
        src/session_manager.h
        src/singleton.cc
        src/singleton.h
        src/sopcast_content_handler.cc
        src/sopcast_content_handler.h
        src/sopcast_service.cc
        src/sopcast_service.h
        src/storage/cache_object.cc
        src/storage/cache_object.h
        src/storage.cc
        src/storage.h
        src/storage/mysql/mysql_create_sql.h
        src/storage/mysql/mysql_storage.cc
        src/storage/mysql/mysql_storage.h
        src/storage/sqlite3/sqlite3_create_sql.h
        src/storage/sqlite3/sqlite3_storage.cc
        src/storage/sqlite3/sqlite3_storage.h
        src/storage/sql_storage.cc
        src/storage/sql_storage.h
        src/storage/storage_cache.cc
        src/storage/storage_cache.h
        src/string_converter.cc
        src/string_converter.h
        src/subscription_request.cc
        src/subscription_request.h
        src/task_processor.cc
        src/task_processor.h
        src/thread_executor.cc
        src/thread_executor.h
        src/timer.cc
        src/timer.h
        src/tools.cc
        src/tools.h
        src/transcoding/transcode_dispatcher.cc
        src/transcoding/transcode_dispatcher.h
        src/transcoding/transcode_ext_handler.cc
        src/transcoding/transcode_ext_handler.h
        src/transcoding/transcode_handler.h
        src/transcoding/transcoding.cc
        src/transcoding/transcoding.h
        src/transcoding/transcoding_process_executor.cc
        src/transcoding/transcoding_process_executor.h
        src/update_manager.cc
        src/update_manager.h
        src/upnp_cds.cc
        src/upnp_cds.h
        src/upnp_cm.cc
        src/upnp_cm.h
        src/upnp_mrreg.cc
        src/upnp_mrreg.h
        src/upnp_xml.cc
        src/upnp_xml.h
        src/url.cc
        src/url.h
        src/url_request_handler.cc
        src/url_request_handler.h
        src/web/action.cc
        src/web/add.cc
        src/web/add_object.cc
        src/web/auth.cc
        src/web_callbacks.cc
        src/web_callbacks.h
        src/web/containers.cc
        src/web/directories.cc
        src/web/edit_load.cc
        src/web/edit_save.cc
        src/web/files.cc
        src/web/items.cc
        src/web/pages.cc
        src/web/pages.h
        src/web/remove.cc
        src/web_request_handler.cc
        src/web_request_handler.h
        src/web/tasks.cc
        src/web/web_autoscan.cc
        src/web/web_update.cc
        src/xpath.cc
        src/xpath.h
        src/youtube_content_handler.cc
        src/youtube_content_handler.h
        src/youtube_service.cc
        src/youtube_service.h
        src/youtube_video_url.cc
        src/youtube_video_url.h
        src/zmm/array.cc
        src/zmm/array.h
        src/zmm/base_array.h
        src/zmm/base_queue.h
        src/zmm/base_stack.h
        src/zmm/exception.cc
        src/zmm/exception.h
        src/zmm/object_queue.h
        src/zmm/object_stack.h
        src/zmm/stringtokenizer.cc
        src/zmm/stringtokenizer.h
        src/zmm/zmmf.h
        src/zmm/object.cc
        src/zmm/object.h
        src/zmm/ref.h
        src/zmm/stringbuffer.cc
        src/zmm/stringbuffer.h
        src/zmm/strings.cc
        src/zmm/strings.h
        src/zmm/zmm.h)

add_library(libgerbera OBJECT ${libgerberaFILES})

target_include_directories(libgerbera PRIVATE "${CMAKE_SOURCE_DIR}/src")

add_executable(gerbera src/main.cc $<TARGET_OBJECTS:libgerbera>)
target_include_directories(gerbera PRIVATE "${CMAKE_SOURCE_DIR}/src")

# Warnings are nice
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall")

# Add the automatically determined parts of the RPATH which point to
# dirss outside the build tree to the install RPATH
set(CMAKE_INSTALL_RPATH_USE_LINK_PATH TRUE)

# Provide __FILENAME__ for debug statements
include(DefFileName)
define_file_path_for_sources(libgerbera)
define_file_path_for_sources(gerbera)

# Use libc++ with clang
if (CMAKE_CXX_COMPILER_ID MATCHES "Clang")
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -stdlib=libc++")
endif()

# Host OS Check
if(${CMAKE_SYSTEM_NAME} STREQUAL "Linux")
    set(HOST_OS "linux")
    set(LINUX 1)
elseif(${CMAKE_SYSTEM_NAME} MATCHES ".*(SunOS|Solaris).*")
    set(HOST_OS "solaris")
    set(SOLARIS 1)
elseif(${CMAKE_SYSTEM_NAME} MATCHES ".*BSD.*")
    set(HOST_OS "bsd")
    set(BSD 1)
elseif(${CMAKE_SYSTEM_NAME} STREQUAL "Darwin")
    set(HOST_OS "darwin")
    set(DARWIN 1)
endif()
if(NOT HOST_OS)
    message(FATAL_ERROR 
                "Gerbera was unable to deterimine the host OS. Please report this. Value of CMAKE_SYSTEM_NAME: ${CMAKE_SYSTEM_NAME}")
endif()

if (SOLARIS)
    add_definitions(-DSOLARIS)
endif()

if (BSD)
    add_definitions(-DBSD)
endif()

add_definitions(-DPACKAGE_NAME="gerbera${gerbera_SUFFIX}")
add_definitions(-DVERSION="${gerbera_MAJOR_VERSION}.${gerbera_MINOR_VERSION}.${gerbera_PATCH_VERSION}${gerbera_RELEASE}${gerbera_SUFFIX}")
add_definitions(-DPACKAGE_DATADIR="${CMAKE_INSTALL_PREFIX}/share/gerbera")

# Generate Compile Information
include("GenCompileInfo")
generate_compile_info()
target_compile_definitions(gerbera PRIVATE -DCOMPILE_INFO="${COMPILE_INFO}")
target_compile_definitions(gerbera PRIVATE -DGIT_BRANCH="${GIT_BRANCH}")
target_compile_definitions(gerbera PRIVATE -DGIT_COMMIT_HASH="${GIT_COMMIT_HASH}")

add_definitions(-DEXTERNAL_TRANSCODING -DAUTO_CREATE_DATABASE)

if (WITH_DEBUG)
    add_definitions(-DTOMBDEBUG)
endif()

if (WITH_PROTOCOL_EXTENSIONS)
    add_definitions(-DEXTEND_PROTOCOLINFO)
endif()

find_package(Threads REQUIRED)
target_link_libraries(gerbera ${CMAKE_THREAD_LIBS_INIT})

find_package(Iconv REQUIRED)
include_directories(${ICONV_INCLUDE_DIR})
target_link_libraries(gerbera ${ICONV_LIBRARIES})
if (ICONV_SECOND_ARGUMENT_IS_CONST)
    add_definitions(-DICONV_CONST)
endif()

find_package(UUID REQUIRED)
include_directories(${UUID_INCLUDE_DIRS})
target_link_libraries(gerbera ${UUID_LIBRARIES})
if (FOUND_BSD_UUID)
    add_definitions(-DBSD_NATIVE_UUID)
endif()


find_package(LFS REQUIRED)
if (LFS_FOUND)
    add_definitions(${LFS_DEFINITIONS})
    add_compile_options(${LFS_COMPILE_OPTIONS})
    target_link_libraries(gerbera ${LFS_LIBRARIES})
endif()

find_package (LibUpnp REQUIRED)
include_directories(${UPNP_INCLUDE_DIRS})
target_link_libraries (gerbera ${UPNP_LIBRARIES})

=== debian/changelog ===
gerbera (1.1.0+dfsg-2) unstable; urgency=medium

  * debian/rules:
    - Disable WITH_SYSTEMD option. Fixes FTBFS when systemd is not
      installed.

 -- James Cowgill <jcowgill@debian.org>  Wed, 22 Nov 2017 00:13:31 +0000

gerbera (1.1.0+dfsg-1) unstable; urgency=medium

  * New upstream release.

  * debian/TODO.Debian:
    - Remove.
  * debian/changelog:
    - Remove trailing whitespace.
  * debian/config.xml:
    - Re-add ffmpegthumbnailer element to config.xml.
  * debian/control:
    - Bump standards version to 4.1.1.
  * debian/copyright:
    - Update copyright.
    - Exclude web/vendor directory.
  * debian/gerbera.desktop:
    - Use new launch html file path.
  * debian/gerbera.links:
    - Symlink web/vendor javascript libraries to system copies.
    - Remove unused mediatomb.png pixmap symlink.
  * debian/patches:
    - Refresh patches and drop patches applied upstream.
    - Drop duktape patch to use new shared library in Debian.
  * debian/rules:
    - Enable exiv2 and ffmpegthumbnailer support.
  * debian/watch:
    - Update to repack orig tarball.

 -- James Cowgill <jcowgill@debian.org>  Tue, 21 Nov 2017 23:09:57 +0000

gerbera (1.0.0-1) unstable; urgency=medium

  * Initial release of the Gerbera MediaTomb fork. (Closes: #863719)
  * Rename packaging from mediatomb to gerbera.
  * Merge 3 mediatomb packages into one.

  * debian/compat:
    - Use compat 10.
  * debian/config.xml:
    - Fix spelling mistakes.
    - Regenerate using builtin default config.
  * debian/control:
    - Reset list of uploaders to just me.
    - Update Homepage and VCS fields.
    - Update build dependencies.
    - Drop manual debug packages.
    - Bump standards version to 4.1.0.
    - Remove libcurl4-openssl-dev build alternative.
    - Update package description.
  * debian/copyright:
    - Rewrite in machine readable format.
  * debian/gerbera.README.Debian:
    - Remove obsolete sections.
  * debian/gerbera.desktop:
    - Add keywords to desktop file.
  * debian/gerbera.docs:
    - Rename from docs, rename upstream README file.
  * debian/gerbera.init:
    - Remove /etc/default/gerbera.
    - Don't setup routing in the init script.
    - Add .log suffix to log files.
    - Use start-stop-daemon to handle user and pid file.
  * debian/gerbera.install:
    - Install svg and 48x48 png icons.
  * debian/gerbera.logrotate:
    - Rotate monthly and compress old logs.
    - Create new log file with correct permissions after rotating.
  * debian/gerbera.postinst:
    - Remove obsolete upgrade handling.
    - Remove NIS tolerence code.
    - Pass --no-create-home to adduser.
  * debian/gerbera.postrm:
    - Pass --system to deluser and delgroup.
    - Don't stop gerbera manually on removal.
    - Only remove /var/lib/gerbera on purge.
  * debian/gerbera.service:
    - Rewrite systemd service based on upstream's version which does not
      attempt to modify the routing tables.
  * debian/patches:
    - Drop patches applied upstream.
    - Refresh patches.
    - Add patches taken from upstream for libupnp 1.8.2 compatibility.
    - Add patch to build duktape as a static library during the build.
    - Add patch to reopen log files when reloading.
    - Add patch to fix spelling mistakes.
    - Add patch header to symlinks patch.
  * debian/rules:
    - Drop configuration options enabled by default upstream.
    - Remove init script overrides.
    - Build with -Wl,--as-needed and -Wl,-z,now.
  * debian/source/lintian-overrides:
    - Add overrides for long lines in nanotree.js
  * debian/watch:
    - Update watch file to point to GitHub repository.
  * d/Readme.source, d/clean, d/get-git-source.sh, d/gerbera.NEWS,
    d/gerbera.menu, d/gerbera.manpages, d/source/local-options:
    - Remove.

 -- James Cowgill <jcowgill@debian.org>  Sat, 23 Sep 2017 18:45:01 +0100

mediatomb (0.12.1-47-g7ab7616-1) unstable; urgency=medium

  [ Miguel A. Colón Vélez ]
  * New upstream snapshot.
    - Added subtitle support for Samsung devices. (Closes: #730391)
  * debian/control:
    - Build depend on pkg-config to fix FTBFS.
    - Explicitly build depend on libavutil-dev.
    - Bump libav requirement to 10.
    - Build depend on libflac-dev to enable FLAC metadata extraction.
    - Build depend on uuid-dev to use the system's libuuid.
  * debian/patches:
    - Refresh and update all patches.
    - Use a more robust patch for building wih libmp4v2.
    - Revert an upstream commit to fix building with libmp4v2.
    - Drop internal libuuid and use the system's libuuid.
    - Drop patches that were fixed upstream:
      + 0005_buffer_overrun_999hours.patch
      + 0006a_js_1.8_support.patch
      + 0006b_js_parse.patch
      + 0006c_js_copyObject.patch
      + 0007_libmozjs185_support.patch
      + 0008a_gcc_4.6_support.patch
      + 0008b_gcc_4.7_support.patch
      + 0009a_libav_0.7_support.patch
      + 0011_libav_9_support.patch
      + 0012_remove_absolute_paths.patch
  * debian/rules:
    - Create a get-orig-source-target to obtain the upstream source.
    - Add --disable-silent-rules for compiler-flags-hidden.
    - Remove --disable-libextractor. (deprecated)
    - Use --disable-lastfm instead of --disable-lastfmlib.
  * Remove myself as uploader.

  [ IOhannes m zmölnig ]
  * Disabled User-Interface by default. (Closes: #580120, #778669)
  * Add notification in NEWS/README.Debian about the disabled user-interface.

 -- Hector Oron <zumbi@debian.org>  Mon, 13 Jul 2015 19:41:42 +0200

mediatomb (0.12.1-7) unstable; urgency=medium

  * d/mediatomb-daemon.mediatomb.init: issue an error if MT_USER is not set.
  * d/rules: disable libmp4v2.
    + fixes FTBFS and potential licensing incompatibility.
    Thanks Michael Tautschnig for report.
    (Closes: #765811)
  * Rename mediatomb-daemon service file to mediatomb.
    + enables systemd and sysvinit coexistence.
    + d/mediatomb-daemon.service: make configuration file mandatory.
    + d/mediatomb-daemon.service: require MT_USER variable in configuration
      file.


=== debian/control ===
Source: gerbera
Section: net
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: James Cowgill <jcowgill@debian.org>
Build-Depends:
 cmake (>= 3.2),
 debhelper (>= 10),
 default-libmysqlclient-dev,
 dh-exec,
 duktape-dev (>= 2.2.0-1~),
 libavcodec-dev,
 libavformat-dev,
 libavutil-dev,
 libcurl4-gnutls-dev,
 libexif-dev,
 libexiv2-dev,
 libexpat-dev,
 libffmpegthumbnailer-dev,
 libmagic-dev,
 libsqlite3-dev,
 libtag1-dev,
 libupnp1.8-dev,
 libz-dev,
 pkg-config,
 uuid-dev
Standards-Version: 4.1.1
Homepage: https://gerbera.io/
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/gerbera.git
Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/gerbera.git

Package: gerbera
Architecture: any
Depends:
 adduser (>= 3.34),
 lsb-base (>= 3.2-14),
 libjs-bootstrap (>= 3.3.7),
 libjs-jquery (>= 3.1),
 libjs-jquery-cookie,
 libjs-jquery-ui (>= 1.12.1),
 libjs-prototype,
 ${misc:Depends},
 ${shlibs:Depends}
Suggests: firefox-esr | www-browser
Description: UPnP MediaServer
 Gerbera is an UPnP MediaServer with a nice web user interface based on
 MediaTomb. It allows you to stream your digital media through your home
 network and listen to/watch it on a variety of UPnP compatible devices.
 .
 Gerbera implements the UPnP MediaServer V 1.0 specification that can be found
 on http://www.upnp.org/. The current implementation focuses on parts that are
 required by the specification, however Gerbera's functionality is extended to
 cover the optional parts of the spec as well.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_MAINT_OPTIONS := hardening=+bindnow
export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
		-DWITH_AVCODEC=1 \
		-DWITH_EXIV2=1 \
		-DWITH_FFMPEGTHUMBNAILER=1 \
		-DWITH_MYSQL=1 \
		-DWITH_SYSTEMD=0

## gerbera 1.12.1+dfsg

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.18 FATAL_ERROR)
cmake_policy(VERSION 3.13)

# Only set for release tags
# You should only see version "git" when built from a git snapshot tarball
set(GERBERA_VERSION "1.12.1")

project(Gerbera
        DESCRIPTION "UPnP Media Server"
        HOMEPAGE_URL "https://gerbera.io"
        LANGUAGES CXX C)

list(APPEND CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake")

# If Conan stuff is present, load it
include(${CMAKE_BINARY_DIR}/conanbuildinfo.cmake OPTIONAL)
if(COMMAND conan_basic_setup)
    # Prefer the conan FindModules
    list(PREPEND CMAKE_MODULE_PATH ${CMAKE_BINARY_DIR})
    conan_basic_setup(TARGETS)
endif()

set(WITH_NPUPNP            NO  CACHE BOOL "Use npupnp instead of libupnp")
set(WITH_MAGIC             YES CACHE BOOL "Use libmagic to identify file mime types")
set(WITH_MYSQL             NO  CACHE BOOL "Store media information in MySQL DB")
set(WITH_CURL              YES CACHE BOOL "CURL required for online services")
set(WITH_INOTIFY           YES CACHE BOOL "Enable Inotify file monitoring support")
set(WITH_JS                YES CACHE BOOL "Enable JavaScript for scripting")
set(WITH_TAGLIB            YES CACHE BOOL "Use TagLib to extract audio file metadata")
set(WITH_AVCODEC           NO  CACHE BOOL "Use ffmpeg/libav to extract file metadata")
set(WITH_WAVPACK           NO  CACHE BOOL "Use wavpack to extract audio file metadata")
set(WITH_FFMPEGTHUMBNAILER NO  CACHE BOOL "Enable Thumbnail generation")
set(WITH_EXIF              YES CACHE BOOL "Use libexif to extract image metadata")
set(WITH_EXIV2             NO  CACHE BOOL "Use libexiv2 to extract image metadata")
set(WITH_MATROSKA          YES CACHE BOOL "Use libmatroska to extract video/mkv metadata")
set(WITH_SYSTEMD           YES CACHE BOOL "Install Systemd unit file")
set(WITH_LASTFM            NO  CACHE BOOL "Enable scrobbling to LastFM")
set(WITH_DEBUG             YES CACHE BOOL "Enables debug logging")
set(WITH_DEBUG_OPTIONS     YES CACHE BOOL "Enables dedicated debug messages")
set(WITH_TESTS             NO  CACHE BOOL "Build unit tests")

# For building packages without depending on the old system libupnp
set(STATIC_LIBUPNP 0 CACHE BOOL "Link to libupnp statically")

# Leverage a modern C++
# Set defaults here before we create targets
set(CMAKE_CXX_STANDARD 17)
# Cygwin requires extensions for a lot of the networking stuff.
if(CYGWIN)
	set(CMAKE_CXX_STANDARD_REQUIRED NO)
	set(CMAKE_CXX_EXTENSIONS YES)
else(CYGWIN)
	set(CMAKE_CXX_STANDARD_REQUIRED YES)
	set(CMAKE_CXX_EXTENSIONS NO)
endif(CYGWIN)

add_library(libgerbera STATIC
        src/action_request.cc
        src/action_request.h
        src/cds/cds_container.cc
        src/cds/cds_container.h
        src/cds/cds_item.cc
        src/cds/cds_item.h
        src/cds/cds_objects.cc
        src/cds/cds_objects.h
        src/cds/cds_resource.cc
        src/cds/cds_resource.h
        src/common.h
        src/config/client_config.h
        src/config/client_config.cc
        src/config/config_definition.h
        src/config/config_definition.cc
        src/config/config_generator.h
        src/config/config_generator.cc
        src/config/config_manager.cc
        src/config/config_manager.h
        src/config/config_options.cc
        src/config/config_options.h
        src/config/setup/config_setup_array.cc
        src/config/setup/config_setup_autoscan.cc
        src/config/setup/config_setup_bool.cc
        src/config/setup/config_setup_client.cc
        src/config/setup/config_setup_dictionary.cc
        src/config/setup/config_setup_dynamic.cc
        src/config/setup/config_setup_int.cc
        src/config/setup/config_setup_path.cc
        src/config/setup/config_setup_string.cc
        src/config/setup/config_setup_transcoding.cc
        src/config/setup/config_setup_tweak.cc
        src/config/setup/config_setup_vector.cc
        src/config/config_setup.cc
        src/config/config_setup.h
        src/config/directory_tweak.cc
        src/config/directory_tweak.h
        src/config/dynamic_content.cc
        src/config/dynamic_content.h
        src/content/autoscan.cc
        src/content/autoscan.h
        src/content/autoscan_list.cc
        src/content/autoscan_list.h
        src/content/autoscan_inotify.cc
        src/content/autoscan_inotify.h
        src/content/content_manager.cc
        src/content/content_manager.h
        src/content/layout/builtin_layout.cc
        src/content/layout/builtin_layout.h
        src/content/layout/js_layout.cc
        src/content/layout/js_layout.h
        src/content/layout/layout.h
        src/content/onlineservice/atrailers_content_handler.cc
        src/content/onlineservice/atrailers_content_handler.h
        src/content/onlineservice/atrailers_service.cc
        src/content/onlineservice/atrailers_service.h
        src/content/onlineservice/curl_online_service.cc
        src/content/onlineservice/curl_online_service.h
        src/content/onlineservice/lastfm_scrobbler.cc
        src/content/onlineservice/lastfm_scrobbler.h
        src/content/onlineservice/online_service.cc
        src/content/onlineservice/online_service.h
        src/content/onlineservice/online_service_helper.cc
        src/content/onlineservice/online_service_helper.h
        src/content/onlineservice/task_processor.cc
        src/content/onlineservice/task_processor.h
        src/content/scripting/import_script.cc
        src/content/scripting/import_script.h
        src/content/scripting/js_functions.cc
        src/content/scripting/js_functions.h
        src/content/scripting/playlist_parser_script.cc
        src/content/scripting/playlist_parser_script.h
        src/content/scripting/scripting_runtime.cc
        src/content/scripting/scripting_runtime.h
        src/content/scripting/script.cc
        src/content/scripting/script.h
        src/content/scripting/script_names.h
        src/content/update_manager.cc
        src/content/update_manager.h
        src/context.cc
        src/context.h
        src/contrib/md5.c
        src/contrib/md5.h
        src/database/mysql/mysql_database.cc
        src/database/mysql/mysql_database.h
        src/database/sqlite3/sqlite_database.cc
        src/database/sqlite3/sqlite_database.h
        src/database/sqlite3/sl_task.cc
        src/database/sqlite3/sl_task.h
        src/database/sql_database.cc
        src/database/sql_database.h
        src/database/sql_format.h
        src/database/database.cc
        src/database/database.h
        src/database/search_handler.cc
        src/database/search_handler.h
        src/device_description_handler.cc
        src/device_description_handler.h
        src/exceptions.cc
        src/exceptions.h
        src/file_request_handler.cc
        src/file_request_handler.h
        src/iohandler/buffered_io_handler.cc
        src/iohandler/buffered_io_handler.h
        src/iohandler/curl_io_handler.cc
        src/iohandler/curl_io_handler.h
        src/iohandler/file_io_handler.cc
        src/iohandler/file_io_handler.h
        src/iohandler/io_handler_buffer_helper.cc
        src/iohandler/io_handler_buffer_helper.h
        src/iohandler/io_handler.cc
        src/iohandler/io_handler_chainer.cc
        src/iohandler/io_handler_chainer.h
        src/iohandler/io_handler.h
        src/iohandler/mem_io_handler.cc
        src/iohandler/mem_io_handler.h
        src/iohandler/process_io_handler.cc
        src/iohandler/process_io_handler.h
        src/metadata/exiv2_handler.cc
        src/metadata/exiv2_handler.h
        src/metadata/ffmpeg_handler.cc
        src/metadata/ffmpeg_handler.h
        src/metadata/ffmpeg_thumbnailer_handler.cc
        src/metadata/ffmpeg_thumbnailer_handler.h
        src/metadata/libexif_handler.cc
        src/metadata/libexif_handler.h
        src/metadata/matroska_handler.cc
        src/metadata/matroska_handler.h
        src/metadata/metacontent_handler.cc
        src/metadata/metacontent_handler.h
        src/metadata/metadata_handler.cc
        src/metadata/metadata_handler.h
        src/metadata/resolution.cc
        src/metadata/resolution.h
        src/metadata/taglib_handler.cc
        src/metadata/taglib_handler.h
        src/metadata/wavpack_handler.cc
        src/metadata/wavpack_handler.h
        src/request_handler.cc
        src/request_handler.h
        src/server.cc
        src/server.h
        src/subscription_request.cc
        src/subscription_request.h
        src/transcoding/transcode_dispatcher.cc
        src/transcoding/transcode_dispatcher.h
        src/transcoding/transcode_ext_handler.cc
        src/transcoding/transcode_ext_handler.h
        src/transcoding/transcode_handler.cc
        src/transcoding/transcode_handler.h
        src/transcoding/transcoding.cc
        src/transcoding/transcoding.h
        src/upnp_cds.cc
        src/upnp_cds.h
        src/upnp_cm.cc
        src/upnp_cm.h
        src/upnp_mrreg.cc
        src/upnp_mrreg.h
        src/upnp_xml.cc
        src/upnp_xml.h
        src/url_request_handler.cc
        src/url_request_handler.h
        src/util/enum_iterator.h
        src/util/executor.h
        src/util/generic_task.cc
        src/util/generic_task.h
        src/util/grb_fs.cc
        src/util/grb_fs.h
        src/util/grb_net.cc
        src/util/grb_net.h
        src/util/grb_time.cc
        src/util/grb_time.h
        src/util/jpeg_resolution.cc
        src/util/logger.h
        src/util/logger.cc
        src/util/mime.cc
        src/util/mime.h
        src/util/mt_inotify.cc
        src/util/mt_inotify.h
        src/util/process_executor.cc
        src/util/process_executor.h
        src/util/string_converter.cc
        src/util/string_converter.h
        src/util/thread_executor.cc
        src/util/thread_executor.h
        src/util/thread_runner.h
        src/util/timer.cc
        src/util/timer.h
        src/util/tools.cc
        src/util/tools.h
        src/util/upnp_clients.h
        src/util/upnp_clients.cc
        src/util/upnp_headers.h
        src/util/upnp_headers.cc
        src/util/upnp_quirks.h
        src/util/upnp_quirks.cc
        src/util/url.cc
        src/util/url.h
        src/util/url_utils.h
        src/util/url_utils.cc
        src/util/xml_to_json.cc
        src/util/xml_to_json.h
        src/web/action.cc
        src/web/add.cc
        src/web/add_object.cc
        src/web/auth.cc
        src/web/clients.cc
        src/web/config_load.cc
        src/web/config_save.cc
        src/web/containers.cc
        src/web/directories.cc
        src/web/edit_load.cc
        src/web/edit_save.cc
        src/web/files.cc
        src/web/items.cc
        src/web/pages.cc
        src/web/pages.h
        src/web/remove.cc
        src/web/web_request_handler.cc
        src/web/web_request_handler.h
        src/web/session_manager.cc
        src/web/session_manager.h
        src/web/tasks.cc
        src/web/web_autoscan.cc
        src/web/web_update.cc
        )
target_include_directories(libgerbera PUBLIC "${CMAKE_SOURCE_DIR}/src")

add_executable(gerbera src/main.cc)
target_link_libraries(gerbera PRIVATE libgerbera)

# Warnings are nice
target_compile_options(gerbera PRIVATE -Wall)
target_compile_options(libgerbera PRIVATE -Wall)

# Add the automatically determined parts of the RPATH which point to
# directories outside the build tree to the install RPATH
set(CMAKE_INSTALL_RPATH_USE_LINK_PATH TRUE)

# System specific stuff
if (${CMAKE_SYSTEM_NAME} MATCHES ".*(SunOS|Solaris).*")
    target_compile_definitions(libgerbera PUBLIC SOLARIS)
elseif (${CMAKE_SYSTEM_NAME} MATCHES ".*BSD.*")
    target_compile_definitions(libgerbera PUBLIC BSD)
endif()

# Generate Compile Information
include("GenCompileInfo")
generate_compile_info()
target_compile_definitions(gerbera PRIVATE COMPILE_INFO="${COMPILE_INFO}")
target_compile_definitions(gerbera PRIVATE GIT_BRANCH="${GIT_BRANCH}")
target_compile_definitions(gerbera PRIVATE GIT_COMMIT_HASH="${GIT_COMMIT_HASH}")

if ((${GERBERA_VERSION} STREQUAL "git") AND (NOT "${GIT_TAG}" STREQUAL ""))

=== debian/changelog ===
gerbera (1.12.1+dfsg-1) unstable; urgency=medium

  * Team upload
  * Mark python packages as native to fix cross-building
  * Add Pre-Depends to gerbera to satisfy init-system-helpers:any
  * Fix day of the week in d/changelog
  * Bump Standards-Version to 4.6.2
  * Avoid explicitly specifying -Wl,--as-needed linker flag
  * Remove obsolete Built-Using from gerbera-doc
  * Refresh gerbera.lintian-overrides
  * Fix troff warning
  * Fix spelling errors
  * Add salsa ci config

 -- Dennis Braun <snd@debian.org>  Fri, 25 Aug 2023 09:00:14 +0200

gerbera (1.12.1+dfsg-0.2) unstable; urgency=medium

  * Non-maintainer upload
  * Fix lintian error by adding Build-Depends: python3

 -- Bastian Germann <bage@debian.org>  Mon, 24 Jul 2023 16:42:33 +0200

gerbera (1.12.1+dfsg-0.1) unstable; urgency=medium

  * Non-maintainer upload
  * New upstream version 1.12.1 (Closes: #1037538, #1037675, #960927, #925465)
  * d/watch: Scan new official GitHub repo
  * Add new build dependencies
  * Remove min build dependency versions
  * Update runtime dependencies
  * Fix lintian: unused-override
  * d/copyright: Drop non-existing files
  * d/copyright: Add new info

  [ James Cowgill ]
  * Use debhelper compat 13
  * Set Rules-Requires-Root: no
  * Install all files within gerbera.install
  * Add gerbera-doc package and install sphinx documentation

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org

  [ Felipe Sateler ]
  * Change maintainer address to debian-multimedia@lists.debian.org

 -- Bastian Germann <bage@debian.org>  Fri, 14 Jul 2023 21:28:33 +0200

gerbera (1.1.0+dfsg-3) unstable; urgency=medium

  * d/patches: Fix FTBFS with pupnp 1.8.3. (Closes: #885025)

 -- James Cowgill <jcowgill@debian.org>  Mon, 12 Nov 2018 23:08:20 +0000

=== debian/control ===
Source: gerbera
Section: net
Priority: optional
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders: James Cowgill <jcowgill@debian.org>
Build-Depends:
 cmake,
 debhelper-compat (= 13),
 default-libmysqlclient-dev,
 dh-exec,
 duktape-dev,
 libavcodec-dev,
 libavformat-dev,
 libavutil-dev,
 libcurl4-gnutls-dev,
 libebml-dev,
 libexif-dev,
 libexiv2-dev,
 libexpat-dev,
 libffmpegthumbnailer-dev,
 libfmt-dev,
 libmagic-dev,
 libmatroska-dev,
 libpugixml-dev,
 libspdlog-dev,
 libsqlite3-dev,
 libtag1-dev,
 libupnp-dev,
 libz-dev,
 pkg-config,
 python3:native,
 python3-sphinx:native,
 python3-sphinx-rtd-theme:native,
 uuid-dev
Rules-Requires-Root: no
Standards-Version: 4.6.2
Homepage: https://gerbera.io/
Vcs-Browser: https://salsa.debian.org/multimedia-team/gerbera
Vcs-Git: https://salsa.debian.org/multimedia-team/gerbera.git

Package: gerbera
Architecture: any
Depends:
 adduser (>= 3.34),
 fonts-font-awesome,
 fonts-lato,
 libjs-bootstrap4,
 libjs-jquery (>= 3.1),
 libjs-jquery-ui (>= 1.12.1),
 libjs-prototype,
 libjs-popper.js,
 node-js-cookie,
 ${misc:Depends},
 ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Suggests:
 gerbera-doc,
 firefox-esr | www-browser
Description: UPnP MediaServer
 Gerbera is an UPnP MediaServer with a nice web user interface based on
 MediaTomb. It allows you to stream your digital media through your home
 network and listen to/watch it on a variety of UPnP compatible devices.
 .
 Gerbera implements the UPnP MediaServer V 1.0 specification that can be found
 on http://www.upnp.org/. The current implementation focuses on parts that are
 required by the specification, however Gerbera's functionality is extended to
 cover the optional parts of the spec as well.

Package: gerbera-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Description: UPnP MediaServer - documentation
 Gerbera is an UPnP MediaServer with a nice web user interface based on
 MediaTomb. It allows you to stream your digital media through your home
 network and listen to/watch it on a variety of UPnP compatible devices.
 .
 Gerbera implements the UPnP MediaServer V 1.0 specification that can be found
 on http://www.upnp.org/. The current implementation focuses on parts that are
 required by the specification, however Gerbera's functionality is extended to
 cover the optional parts of the spec as well.
 .
 This package contains the documentation for Gerbera.

## gerbera 2.0.0%2Bdfsg

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 
 # Only set for release tags
 # You should only see version "git" when built from a git snapshot tarball
-set(GERBERA_VERSION "1.12.1")
+set(GERBERA_VERSION "2.0.0")
 
 project(Gerbera
         DESCRIPTION "UPnP Media Server"
@@ -19,6 +19,11 @@
     list(PREPEND CMAKE_MODULE_PATH ${CMAKE_BINARY_DIR})
     conan_basic_setup(TARGETS)
 endif()
+
+# set(CMAKE_INSTALL_PREFIX /usr/local)
+set(CMAKE_INSTALL_BINDIR bin)
+set(CMAKE_INSTALL_DATADIR share/gerbera)
+set(CMAKE_INSTALL_MANDIR share/man/man1)
 
 set(WITH_NPUPNP            NO  CACHE BOOL "Use npupnp instead of libupnp")
 set(WITH_MAGIC             YES CACHE BOOL "Use libmagic to identify file mime types")
@@ -47,11 +52,11 @@
 set(CMAKE_CXX_STANDARD 17)
 # Cygwin requires extensions for a lot of the networking stuff.
 if(CYGWIN)
-	set(CMAKE_CXX_STANDARD_REQUIRED NO)
-	set(CMAKE_CXX_EXTENSIONS YES)
+    set(CMAKE_CXX_STANDARD_REQUIRED NO)
+    set(CMAKE_CXX_EXTENSIONS YES)
 else(CYGWIN)
-	set(CMAKE_CXX_STANDARD_REQUIRED YES)
-	set(CMAKE_CXX_EXTENSIONS NO)
+    set(CMAKE_CXX_STANDARD_REQUIRED YES)
+    set(CMAKE_CXX_EXTENSIONS NO)
 endif(CYGWIN)
 
 add_library(libgerbera STATIC
@@ -66,46 +71,64 @@
         src/cds/cds_resource.cc
         src/cds/cds_resource.h
         src/common.h
+        src/config/client_config.cc
         src/config/client_config.h
-        src/config/client_config.cc
+        src/config/config_definition.cc
         src/config/config_definition.h
-        src/config/config_definition.cc
+        src/config/config_generator.cc
         src/config/config_generator.h
-        src/config/config_generator.cc
         src/config/config_manager.cc
         src/config/config_manager.h
+        src/config/config_option_enum.h
         src/config/config_options.cc
         src/config/config_options.h
-        src/config/setup/config_setup_array.cc
-        src/config/setup/config_setup_autoscan.cc
-        src/config/setup/config_setup_bool.cc
-        src/config/setup/config_setup_client.cc
-        src/config/setup/config_setup_dictionary.cc
-        src/config/setup/config_setup_dynamic.cc
-        src/config/setup/config_setup_int.cc
-        src/config/setup/config_setup_path.cc
-        src/config/setup/config_setup_string.cc
-        src/config/setup/config_setup_transcoding.cc
-        src/config/setup/config_setup_tweak.cc
-        src/config/setup/config_setup_vector.cc
         src/config/config_setup.cc
         src/config/config_setup.h
         src/config/directory_tweak.cc
         src/config/directory_tweak.h
         src/config/dynamic_content.cc
         src/config/dynamic_content.h
+        src/config/setup/config_setup_array.cc
+        src/config/setup/config_setup_autoscan.cc
+        src/config/setup/config_setup_autoscan.h
+        src/config/setup/config_setup_bool.cc
+        src/config/setup/config_setup_boxlayout.cc
+        src/config/setup/config_setup_boxlayout.h
+        src/config/setup/config_setup_client.cc
+        src/config/setup/config_setup_client.h
+        src/config/setup/config_setup_dictionary.cc
+        src/config/setup/config_setup_dynamic.cc
+        src/config/setup/config_setup_dynamic.h
+        src/config/setup/config_setup_enum.h
+        src/config/setup/config_setup_int.cc
+        src/config/setup/config_setup_path.cc
+        src/config/setup/config_setup_string.cc
+        src/config/setup/config_setup_time.cc
+        src/config/setup/config_setup_time.h
+        src/config/setup/config_setup_transcoding.cc
+        src/config/setup/config_setup_transcoding.h
+        src/config/setup/config_setup_tweak.cc
+        src/config/setup/config_setup_tweak.h
+        src/config/setup/config_setup_vector.cc
         src/content/autoscan.cc
         src/content/autoscan.h
+        src/content/autoscan_inotify.cc
+        src/content/autoscan_inotify.h
         src/content/autoscan_list.cc
         src/content/autoscan_list.h
-        src/content/autoscan_inotify.cc
-        src/content/autoscan_inotify.h
+        src/content/cm_task.cc
+        src/content/cm_task.h
         src/content/content_manager.cc
         src/content/content_manager.h
+        src/content/import_service.cc
+        src/content/import_service.h
+        src/content/layout/box_layout.cc
+        src/content/layout/box_layout.h
         src/content/layout/builtin_layout.cc
         src/content/layout/builtin_layout.h
         src/content/layout/js_layout.cc
         src/content/layout/js_layout.h
+        src/content/layout/layout.cc
         src/content/layout/layout.h
         src/content/onlineservice/atrailers_content_handler.cc
         src/content/onlineservice/atrailers_content_handler.h
@@ -127,30 +150,32 @@
         src/content/scripting/js_functions.h
         src/content/scripting/playlist_parser_script.cc
         src/content/scripting/playlist_parser_script.h
-        src/content/scripting/scripting_runtime.cc
-        src/content/scripting/scripting_runtime.h
         src/content/scripting/script.cc
         src/content/scripting/script.h
         src/content/scripting/script_names.h
+        src/content/scripting/scripting_runtime.cc
+        src/content/scripting/scripting_runtime.h
         src/content/update_manager.cc
         src/content/update_manager.h
         src/context.cc
         src/context.h
         src/contrib/md5.c
         src/contrib/md5.h
+        src/database/database.cc
+        src/database/database.h
         src/database/mysql/mysql_database.cc
         src/database/mysql/mysql_database.h
-        src/database/sqlite3/sqlite_database.cc
-        src/database/sqlite3/sqlite_database.h
-        src/database/sqlite3/sl_task.cc
-        src/database/sqlite3/sl_task.h
+        src/database/search_handler.cc
+        src/database/search_handler.h
         src/database/sql_database.cc
         src/database/sql_database.h
         src/database/sql_format.h
-        src/database/database.cc
-        src/database/database.h
-        src/database/search_handler.cc
-        src/database/search_handler.h
+        src/database/sqlite3/sl_task.cc
+        src/database/sqlite3/sl_task.h
+        src/database/sqlite3/sqlite_config.cc
+        src/database/sqlite3/sqlite_config.h
+        src/database/sqlite3/sqlite_database.cc
+        src/database/sqlite3/sqlite_database.h
         src/device_description_handler.cc
         src/device_description_handler.h
         src/exceptions.cc
@@ -163,12 +188,12 @@
         src/iohandler/curl_io_handler.h
         src/iohandler/file_io_handler.cc
         src/iohandler/file_io_handler.h
+        src/iohandler/io_handler.cc
+        src/iohandler/io_handler.h
         src/iohandler/io_handler_buffer_helper.cc
         src/iohandler/io_handler_buffer_helper.h
-        src/iohandler/io_handler.cc
         src/iohandler/io_handler_chainer.cc
         src/iohandler/io_handler_chainer.h
-        src/iohandler/io_handler.h
         src/iohandler/mem_io_handler.cc
         src/iohandler/mem_io_handler.h
         src/iohandler/process_io_handler.cc
@@ -228,8 +253,8 @@
         src/util/grb_time.cc
         src/util/grb_time.h
         src/util/jpeg_resolution.cc
+        src/util/logger.cc
         src/util/logger.h
-        src/util/logger.cc
         src/util/mime.cc
         src/util/mime.h
         src/util/mt_inotify.cc
@@ -245,16 +270,16 @@
         src/util/timer.h
         src/util/tools.cc
         src/util/tools.h
+        src/util/upnp_clients.cc
         src/util/upnp_clients.h
-        src/util/upnp_clients.cc
+        src/util/upnp_headers.cc
         src/util/upnp_headers.h
-        src/util/upnp_headers.cc
+        src/util/upnp_quirks.cc
         src/util/upnp_quirks.h
-        src/util/upnp_quirks.cc
         src/util/url.cc
         src/util/url.h
+        src/util/url_utils.cc
         src/util/url_utils.h
-        src/util/url_utils.cc
         src/util/xml_to_json.cc
         src/util/xml_to_json.h
         src/web/action.cc
@@ -273,39 +298,11 @@
         src/web/pages.cc
         src/web/pages.h
         src/web/remove.cc
-        src/web/web_request_handler.cc
-        src/web/web_request_handler.h
         src/web/session_manager.cc
         src/web/session_manager.h
         src/web/tasks.cc
         src/web/web_autoscan.cc
+        src/web/web_request_handler.cc
+        src/web/web_request_handler.h
         src/web/web_update.cc
         )
-target_include_directories(libgerbera PUBLIC "${CMAKE_SOURCE_DIR}/src")
-
-add_executable(gerbera src/main.cc)
-target_link_libraries(gerbera PRIVATE libgerbera)
-
-# Warnings are nice
-target_compile_options(gerbera PRIVATE -Wall)
-target_compile_options(libgerbera PRIVATE -Wall)
-
-# Add the automatically determined parts of the RPATH which point to
-# directories outside the build tree to the install RPATH
-set(CMAKE_INSTALL_RPATH_USE_LINK_PATH TRUE)
-
-# System specific stuff
-if (${CMAKE_SYSTEM_NAME} MATCHES ".*(SunOS|Solaris).*")
-    target_compile_definitions(libgerbera PUBLIC SOLARIS)
-elseif (${CMAKE_SYSTEM_NAME} MATCHES ".*BSD.*")
-    target_compile_definitions(libgerbera PUBLIC BSD)
-endif()
-
-# Generate Compile Information
-include("GenCompileInfo")
-generate_compile_info()
-target_compile_definitions(gerbera PRIVATE COMPILE_INFO="${COMPILE_INFO}")
-target_compile_definitions(gerbera PRIVATE GIT_BRANCH="${GIT_BRANCH}")
-target_compile_definitions(gerbera PRIVATE GIT_COMMIT_HASH="${GIT_COMMIT_HASH}")
-
-if ((${GERBERA_VERSION} STREQUAL "git") AND (NOT "${GIT_TAG}" STREQUAL ""))

=== test/scripting/CMakeLists.txt ===
add_executable(testscripting
    main.cc
    mock/duk_helper.h
    mock/duk_helper.cc
    mock/common_script_mock.h
    mock/script_test_fixture.h
    mock/script_test_fixture.cc
    test_common_script.cc
    test_external_m3u_playlist.cc
    test_external_pls_playlist.cc
    test_external_asx_playlist.cc
    test_import_script.cc
    test_import_struct_script.cc
    test_internal_m3u_playlist.cc
    test_internal_m3u8_playlist.cc
    test_internal_pls_playlist.cc
    test_nfo_metafile.cc
    test_runtime.cc
)

target_link_libraries(testscripting PRIVATE
    libgerbera
    GTest::GTest
)
add_custom_command(TARGET testscripting POST_BUILD
    COMMAND ${CMAKE_COMMAND} -E copy_directory ${CMAKE_CURRENT_SOURCE_DIR}/fixtures ${CMAKE_CURRENT_BINARY_DIR}/fixtures
    DEPENDS fixtures/*
    COMMENT "Copying Scripting Fixtures"
)
target_compile_definitions(testscripting PRIVATE SCRIPTS_DIR="${CMAKE_SOURCE_DIR}/scripts")

include(GoogleTest)
gtest_discover_tests(testscripting DISCOVERY_TIMEOUT 60)
